/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

#define LED_NO_ALERT       (0u)
#define LED_MILD_ALERT     (500u)
#define LED_HIGH_ALERT     (1000u)

void Stack_Handler(uint32 eventCode, void *eventParam)
{
    switch(eventCode)
    {
        case CYBLE_EVT_GAP_DEVICE_CONNECTED:
            CyBle_GappStartAdvertisement(CYBLE_ADVERTISING_SLOW);
            break;
        case CYBLE_EVT_STACK_ON:
        case CYBLE_EVT_GAP_DEVICE_DISCONNECTED:
            CyBle_GappStartAdvertisement(CYBLE_ADVERTISING_FAST);
            break;
        case CYBLE_EVT_GAP_SMP_NEGOTIATED_AUTH_INFO:
            CyBle_GappStartAdvertisement(CYBLE_ADVERTISING_SLOW);
            break;
        default:
            CyBle_GappStartAdvertisement(CYBLE_ADVERTISING_SLOW);
            break;
    }
}

void Ias_Handler(uint32 eventCode, void *eventParam)
{
    CYBLE_IAS_CHAR_VALUE_T *param = (CYBLE_IAS_CHAR_VALUE_T *)eventParam;
    
    if(*param->value->val == 0)
    {
        PWM_WriteCompare(LED_NO_ALERT);                      
    }else if(*param->value->val == 1)
    {
        PWM_WriteCompare(LED_MILD_ALERT);                
    }
    else
    {
        PWM_WriteCompare(LED_HIGH_ALERT);  
    }
}

int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    CyBle_Start(Stack_Handler);
    CyBle_IasRegisterAttrCallback(Ias_Handler);
    PWM_Start();
    
    for(;;)
    {
        CyBle_ProcessEvents();
    }
}

/* [] END OF FILE */
